# TMR_TagOp_GEN2_Lock Struct Reference

`#include <tmr_tagop.h>`

List of all members.

## Public Attributes

uint16_t | mask
uint16_t | action
TMR_GEN2_Password | accessPassword

## Detailed Description

Parameters of a Gen2 memory lock/unlock operation

## Member Data Documentation

TMR_GEN2_Password TMR_TagOp_GEN2_Lock::accessPassword

Access Password to use to lock the tag

uint16_t TMR_TagOp_GEN2_Lock::action

New values of each bit specified in the mask

uint16_t TMR_TagOp_GEN2_Lock::mask

Bitmask indicating which lock bits to change

The documentation for this struct was generated from the following file:

- tmr_tagop.h